POST api/NOIReceiptNumber/generate

Request Information

URI Parameters

None.

Body Parameters

lnReceiptInput
NameDescriptionTypeAdditional information
html

string

None.

fileNumber

string

None.

receiptAmount

decimal number

None.

gstReceipt

boolean

None.

createdAt

date

None.

Request Formats

application/json, text/json

Sample:
{
  "html": "sample string 1",
  "fileNumber": "sample string 2",
  "receiptAmount": 3.0,
  "gstReceipt": true,
  "createdAt": "2026-08-05T16:24:13.4808523+05:30"
}

text/html

Sample:
{"html":"sample string 1","fileNumber":"sample string 2","receiptAmount":3.0,"gstReceipt":true,"createdAt":"2026-08-05T16:24:13.4808523+05:30"}

application/xml, text/xml

Sample:
<lnReceiptInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models">
  <createdAt>2026-08-05T16:24:13.4808523+05:30</createdAt>
  <fileNumber>sample string 2</fileNumber>
  <gstReceipt>true</gstReceipt>
  <html>sample string 1</html>
  <receiptAmount>3</receiptAmount>
</lnReceiptInput>

application/x-www-form-urlencoded

Sample:

Sample not available.

text/comma-separated-values

Sample:

Sample not available.

Response Information

Resource Description

lnReceiptNumberOutput
NameDescriptionTypeAdditional information
ReceiptNumber

string

None.

CreatedAt

string

None.

Response Formats

application/json, text/json

Sample:
{
  "ReceiptNumber": "sample string 1",
  "CreatedAt": "sample string 2"
}

text/html

Sample:
{"ReceiptNumber":"sample string 1","CreatedAt":"sample string 2"}

application/xml, text/xml

Sample:
<lnReceiptNumberOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LegalsNOI.Models">
  <CreatedAt>sample string 2</CreatedAt>
  <ReceiptNumber>sample string 1</ReceiptNumber>
</lnReceiptNumberOutput>

text/comma-separated-values

Sample:

Sample not available.